package test;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ProgrammaticLoginServlet extends HttpServlet {

  private static final long serialVersionUID = 1L;

  @Override
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    System.out.println("ProgrammaticLoginServlet: Attempting to log you in progrommatically");

    request.login("admin", "anythingWorksHere");

    boolean hasUserAccess = request.isUserInRole("User");

    System.out.println("ProgrammaticLoginServlet: User has role User?: " + hasUserAccess);

    System.out.println("redirecting to restricted servlet...");

    response.sendRedirect("/login-test/restricted");
  }
}
