package test;

import java.io.IOException;
import java.io.PrintWriter;
import java.security.Principal;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class UserStatusServlet extends HttpServlet {

  private static final long serialVersionUID = 1L;

  @Override
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    response.setContentType("text/html");

    Principal principal = request.getUserPrincipal();
    PrintWriter out = response.getWriter();

    if (principal == null) {
      out.println("User is not logged in");
    } else {
      out.println("User is logged in.  Username: " + principal.getName());
      out.println("Has User role: " + request.isUserInRole("User"));
    }



  }
}
