package test;

import java.io.IOException;
import java.security.Principal;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class LoadLoginFormServlet extends HttpServlet {

  private static final long serialVersionUID = 4188587367919903274L;

  @Override
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    Principal principal = request.getUserPrincipal();

    if (principal != null) {
      System.out.println("user exists.  principal name: " + principal.getName());
      System.out.println("Has 'User' role?: " + request.isUserInRole("User"));
    }

    request.getRequestDispatcher("/WEB-INF/login.jsp").forward(request, response);

  }
}

