package test;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class RestrictedServlet extends HttpServlet {

  private static final long serialVersionUID = 1L;

  @Override
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    boolean hasUserAccess = request.isUserInRole("User");

    System.out.println("RestrictedServlet: User has role User?: " + hasUserAccess);

    System.out.println("Good job, you have been authorized with the User Role!");
  }
}
